> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment organizations terminals



## OpenAPI

````yaml IPG get /payment/organizations/{id}/terminals
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/ipg
    description: Staging
security:
  - default: []
paths:
  /payment/organizations/{id}/terminals:
    get:
      tags:
        - IpgPaymentApis
      parameters:
        - name: organizationId
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TerminalInformationResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TerminalInformationResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TerminalInformationResponse'
      security:
        - default: []
components:
  schemas:
    TerminalInformationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int32
        currency:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        minTransactionAmount:
          type: number
          format: double
        maxTransactionAmount:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}
          x-scopes-bindings:
            Redirect-URL: ''

````